Announcement Announcement Module
Collapse
No announcement yet.
jpetstore doesn't work with Tomcat 4.1.31. Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • jpetstore doesn't work with Tomcat 4.1.31.

    Hi,

    I am trying the latest jpetstore in 1.1.2 release.

    After I enter the store, I click on some animal and the page is in http://localhost:8080/jpetstore/shop/index.do, it never comes back.

    In console, it prints out this:

    INFO: Cached view 'index'
    Nov 15, 2004 3:54:26 PM org.springframework.jdbc.datasource.JdbcTransactio nObjectSupport <clinit>
    INFO: JDBC 3.0 Savepoint class is available

    I am using Tomcat 4.1.31. It seems that it's related to the new HSQL 1.7.2 version since it works in 1.1.1 which has HSQL 1.7.1 version.

    Any idea what I did wrong?

    Thanks!

    fiveice

  • #2
    fiveice,
    you need to upgrade your hsqldb to 1.7.2, and ensure that you do not have a previous version in your classpath. also, open your database using hsqldb 1.7.2 and execute SHUTDOWN COMPACT to generate a 1.7.2 compliant database.
    HTH

    Comment


    • #3
      Thanks for your reply.

      Well, I did both and it still didn't work.

      fiveice

      Comment

      Working...
      X